Get Tickets
curl --request GET \
--url https://api.sellauth.com/v1/shops/{shopId}/tickets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page": 1,
"perPage": null,
"orderColumn": null,
"orderDirection": null,
"id": null,
"statuses": null,
"customer_email": null,
"created_at_start": null,
"created_at_end": null,
"closed_at_start": null,
"closed_at_end": null,
"archived": null
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/tickets"
payload = {
"page": 1,
"perPage": None,
"orderColumn": None,
"orderDirection": None,
"id": None,
"statuses": None,
"customer_email": None,
"created_at_start": None,
"created_at_end": None,
"closed_at_start": None,
"closed_at_end": None,
"archived": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
page: 1,
perPage: null,
orderColumn: null,
orderDirection: null,
id: null,
statuses: null,
customer_email: null,
created_at_start: null,
created_at_end: null,
closed_at_start: null,
closed_at_end: null,
archived: null
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/tickets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"current_page": 1,
"data": [
{
"id": "a0ec2492-c627-4b90-a390-6ca955902f27",
"shop_id": 1,
"shop_customer_id": 1,
"invoice_id": null,
"subject": "Order question",
"status": "open",
"closed_at": null,
"archived_at": null,
"created_at": "2026-09-20T15:56:24.000000Z",
"updated_at": "2026-09-20T15:56:24.000000Z",
"customer": {
"id": 1,
"shop_id": 1,
"email": "customer@sellauth.test"
},
"last_message": null,
"invoice": null
}
],
"first_page_url": "http://api.sellauth.test/v1/shops/1/tickets?page=1",
"from": 1,
"last_page": 1,
"last_page_url": "http://api.sellauth.test/v1/shops/1/tickets?page=1",
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "http://api.sellauth.test/v1/shops/1/tickets?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"next_page_url": null,
"path": "http://api.sellauth.test/v1/shops/1/tickets",
"per_page": 20,
"prev_page_url": null,
"to": 1,
"total": 1
}Tickets
Get Tickets
Retrieves the tickets.
GET
/
v1
/
shops
/
{shopId}
/
tickets
Get Tickets
Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Path Parameters
The shop ID.
Body
application/json
Page number.
Example:
1
Items per page, 1-100. Must be at least 1. Must not be greater than 100.
Example:
null
Available options:
id, subject, created_at, closed_at Example:
null
Available options:
asc, desc Example:
null
Filter by ticket ID.
Example:
null
Example:
null
Filter by customer email.
Example:
null
Must be a valid date.
Example:
null
Must be a valid date. Must be a date after created_at_start.
Example:
null
Must be a valid date.
Example:
null
Must be a valid date. Must be a date after closed_at_start.
Example:
null
Only archived tickets.
Example:
null
Response
200 - application/json
Example:
1
Show child attributes
Show child attributes
Example:
[
{
"id": "a0ec2492-c627-4b90-a390-6ca955902f27",
"shop_id": 1,
"shop_customer_id": 1,
"invoice_id": null,
"subject": "Order question",
"status": "open",
"closed_at": null,
"archived_at": null,
"created_at": "2026-09-20T15:56:24.000000Z",
"updated_at": "2026-09-20T15:56:24.000000Z",
"customer": {
"id": 1,
"shop_id": 1,
"email": "customer@sellauth.test"
},
"last_message": null,
"invoice": null
}
]
Example:
"http://api.sellauth.test/v1/shops/1/tickets?page=1"
Example:
1
Example:
1
Example:
"http://api.sellauth.test/v1/shops/1/tickets?page=1"
Show child attributes
Show child attributes
Example:
[
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "http://api.sellauth.test/v1/shops/1/tickets?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
]
Example:
null
Example:
"http://api.sellauth.test/v1/shops/1/tickets"
Example:
20
Example:
null
Example:
1
Example:
1